### Hierarchy

- unknown
  - GetTradeRequest

## Index

### Constructors

- constructor

### Methods

- getTradeId
- serializeBinary
- setTradeId
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetTradeRequest(): GetTradeRequest

- Inherited from jspb.Message.constructor

  #### Returns GetTradeRequest

## Methods

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2386

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2389

  #### Returns Uint8Array

### setTradeId

- setTradeId(value: string): GetTradeRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2387

  #### Parameters

  - ##### value: string

  #### Returns GetTradeRequest

### toObject

- toObject(includeInstance?: boolean): GetTradeRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2390

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetTradeRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetTradeRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2393

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetTradeRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetTradeRequest, reader: BinaryReader): GetTradeRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2394

  #### Parameters

  - ##### message: GetTradeRequest

  - ##### reader: BinaryReader

  #### Returns GetTradeRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetTradeRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2392

  #### Parameters

  - ##### message: GetTradeRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetTradeRequest ): GetTradeRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2391

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetTradeRequest

  #### Returns GetTradeRequest . AsObject

Generated using TypeDoc